### Class

# AppStream Video

#### Description

    class AppStream.Video : GObject.Object
    {
      /* No available fields */
    }

No description available.

#### Ancestors

- GObject

#### Constructors

###### as_video_new

Creates a new `AsVideo`.

#### Instance methods

###### as_video_get_codec_kind

Gets the video codec, if known.

###### as_video_get_container_kind

Gets the video container format, if known.

###### as_video_get_height

Gets the video height, if known.

###### as_video_get_locale

Get locale for this video.

###### as_video_get_url

Gets the full qualified URL for the video, usually pointing at a mirror or CDN server.

###### as_video_get_width

Gets the video width, if known.

###### as_video_set_codec_kind

Sets the video codec.

###### as_video_set_container_kind

Sets the video container.

###### as_video_set_height

Sets the video height.

###### as_video_set_locale

Sets the locale for this video.

###### as_video_set_url

Sets the fully-qualified URL to use for the video.

###### as_video_set_width

Sets the video width.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct AppStreamVideoClass {
      GObjectClass parent_class;
      void (* _as_reserved1) (
    void
      );
      void (* _as_reserved2) (
    void
      );
      void (* _as_reserved3) (
    void
      );
      void (* _as_reserved4) (
    void
      );
      void (* _as_reserved5) (
    void
      );
      void (* _as_reserved6) (
    void
      );

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`_as_reserved1: void (* _as_reserved1) ( void )`

  No description available.

`_as_reserved2: void (* _as_reserved2) ( void )`

  No description available.

`_as_reserved3: void (* _as_reserved3) ( void )`

  No description available.

`_as_reserved4: void (* _as_reserved4) ( void )`

  No description available.

`_as_reserved5: void (* _as_reserved5) ( void )`

  No description available.

`_as_reserved6: void (* _as_reserved6) ( void )`

  No description available.